Subject: bug#23782: Fwd: Re: bug#23782: 24.5; gnutls.c error with package.el and GNU elpa as archive

From: Ted Zlatanov <[email-masked]>
Date: Sat, 18 Jun 2016 22:43:56 -0400

On Fri, 17 Jun 2016 20:55:46 +0200 Thierry Volpiatto <[email-masked]> wrote: 

TV> Ted Zlatanov <[email-masked]> writes:

>> It looks like there's an issue with GnuTLS itself, based on your `gnutls-cli' invocation. It works with Ubuntu 15.10 for me.

>> > Can you try `gnutls-cli elpa.gnu.org' from the command line?
>> 
>> Processed 173 CA certificate(s).
>> Resolving 'elpa.gnu.org'...
>> Connecting to '208.118.235.89:443'...
>> *** Fatal error: Error in the pull function.
>> *** Handshake has failed
>> GnuTLS error: Error in the pull function.

That seems like either a GnuTLS or an Xubuntu 16.04 issue. Since I can't
replicate it, I have to ask you to try to understand why it fails for
you but not for anyone else (to my knowledge). It may require talking to
the respective developers.

The GnuTLS version would be a good start, in case anyone with the same
version can give it a try. I am running 3.3.15 without this issue.

Thanks!
Ted